--- title: Manage the Push source slug: '35' canonical_url: https://docs.coveo.com/en/35/ collection: index-content source_format: adoc --- # Manage the Push source After [creating a Push source](https://docs.coveo.com/en/1546#add-a-push-source), you shouldn't have to interact with it much. However, you should update the status of a Push source before and after a complete set of requests corresponding to a content update. You might also need to reset a Push source in rare cases. This article explains how to update the status of a Push source and how to reset a Push source. ## Update the status of a Push source It's good practice to update the [source](https://docs.coveo.com/en/246/) status as soon as a content update process begins and ends on that source. The status of a source is displayed on the [**Sources**](https://platform.cloud.coveo.com/admin/#/orgid/content/sources/) ([platform-ca](https://platform-ca.cloud.coveo.com/admin/#/orgid/content/sources/) | [platform-eu](https://platform-eu.cloud.coveo.com/admin/#/orgid/content/sources/) | [platform-au](https://platform-au.cloud.coveo.com/admin/#/orgid/content/sources/)) page in the [Coveo Administration Console](https://docs.coveo.com/en/183/). Source status changes are recorded in the [Coveo Administration Console](https://docs.coveo.com/en/183/) [activity](https://docs.coveo.com/en/173/) logs. Standard [connectors](https://docs.coveo.com/en/2734/) automatically update the status of their respective sources, but updating the status of your Push sources requires an explicit API request. Otherwise, these sources will always appear as **Ready to receive content** in the Coveo Administration Console. To update the status of a Push source . Prior to any content update, use the [`Set the status of a Push source`](#request-template) request to set the source to one of the active statuses. |=== | Status name | Corresponding status name in the Coveo Administration Console | When to set the Push source to this status | Typical resource cost | `REBUILD` | **Rebuild** | You plan to re-index the entire content of the source, updating all previously indexed items in the process. | High | `REFRESH` | **Rescan** | You plan to scan the current content of the source, compare it with the content you intend to push, and only update new, modified, or deleted items in the source. | Moderate | `INCREMENTAL` | **Refresh** | You plan to use a feature of the indexed enterprise system to identify and push only the delta between the system in its present state and the current content of the source, without scanning the content of the source first. | Low |=== . Perform your content update requests. . [Set the status](#request-template) of the source back to `IDLE`. ### Request template **US East region** [%collapsible%open] #### [source,http,subs=attributes] ``` POST https://api.cloud.coveo.com/push/v1/organizations//sources//status?statusType= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ``` #### .Canada region
Details [source,http,subs=attributes] ``` POST https://api-ca.cloud.coveo.com/push/v1/organizations//sources//status?statusType= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ```
**Ireland region**
Details [source,http,subs=attributes] ``` POST https://api-eu.cloud.coveo.com/push/v1/organizations//sources//status?statusType= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ```
**Australia region**
Details [source,http,subs=attributes] ``` POST https://api-au.cloud.coveo.com/push/v1/organizations//sources//status?statusType= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ```
Request parameters: **Parameters**
Details In the request path: * Replace `` with your [organization ID](https://docs.coveo.com/en/148/). * Replace `` with the [ID](https://docs.coveo.com/en/3390#copy-a-source-name-or-id) of the target Push source. In the request query string: * Replace `` with the desired `statusType` value (that is, `IDLE`, `INCREMENTAL`, `REBUILD`, or `REFRESH`). In the `Authorization` HTTP header: * Replace `` with your [Push source API key](https://docs.coveo.com/en/1546#api-key).
Request body: None Successful response: `201 Created` A successful response has no content, but it indicates that the status of the target Push source has been updated. ### Sample request The following example shows how to set the status of a Push source to REFRESH. ```http POST https://api.cloud.coveo.com/push/v1/organizations/mycoveocloudv2organizationg8tp8wu3/sources/mycoveocloudv2organizationg8tp8wu3-rp5rxzbdz753uhndklv2ztkfgy/status?statusType=REFRESH HTTP/1.1 ​ Accept: application/json Authorization: Bearer **********-****-****-****-************ ``` ## Reset a Push source Resetting a Push Source can be useful in instances where the data has become corrupted or when you want to clear out content/items. There are two methods that you can use to reset a Push Source. ### Reset a Push source using the Push API The simplest (and typically recommended) method of resetting a Push source is to use the [`Delete old items`](https://docs.coveo.com/en/131/) Push API HTTP request. > **Important** > > Unless you've been setting your own `orderingId` values when pushing content updates to the Push source you want to reset, you should set the `orderingId` of your `Delete old items` request to the current number of milliseconds elapsed since the Unix epoch, without adding any offset. > Otherwise, you risk irremediably breaking that Push source. > > For example, if you use an `orderingId` set ten years in the future when making your `Delete old items` request, the indexing pipeline will keep rejecting new items pushed to the source for the next ten years. > If you make that mistake, there's nothing left to do but to [recreate the source](#recreate-a-push-source-with-the-duplicate-feature). To reset a Push source managed by the Coveo for Sitecore integration or by the Coveo Crawling Module, you have to [recreate the source](#recreate-a-push-source-with-the-duplicate-feature). ### Recreate a Push source with the duplicate feature Sometimes, using a `Delete old items` request to reset a Push source is simply not an option. For example, when dealing with a Push source managed by the Coveo for Sitecore integration or by the Coveo Crawling Module, the [`orderingId`](https://docs.coveo.com/en/147/) has an opaque value. For this reason, performing manual Push API requests on these sources isn't recommended, as it can cause critical consistency issues. In such cases, replace the Push source you want to reset with a new source replicating the original one. To recreate a Push source with the duplicate feature . On the [**Sources**](https://platform.cloud.coveo.com/admin/#/orgid/content/sources/) ([platform-ca](https://platform-ca.cloud.coveo.com/admin/#/orgid/content/sources/) | [platform-eu](https://platform-eu.cloud.coveo.com/admin/#/orgid/content/sources/) | [platform-au](https://platform-au.cloud.coveo.com/admin/#/orgid/content/sources/)) page, click the source you want to duplicate, and then **Duplicate** in the **More** menu. . In the **Duplicate a source** panel that appears, enter a source name for the new source, and then click **Duplicate source**. . Test the duplicate source by pushing content to it. . Once the tests are conclusive, the old source can be deleted. On the [**Sources**](https://platform.cloud.coveo.com/admin/#/orgid/content/sources/) ([platform-ca](https://platform-ca.cloud.coveo.com/admin/#/orgid/content/sources/) | [platform-eu](https://platform-eu.cloud.coveo.com/admin/#/orgid/content/sources/) | [platform-au](https://platform-au.cloud.coveo.com/admin/#/orgid/content/sources/)) page, click the source you want to delete, and then click **Delete** in the **More** menu. . In the **Delete this source** panel, click **Delete source**. . (Optional) The API key used on the previous source will still work, but a new API key can be created by clicking the source and selecting **Create API key** in the Action bar. > **Important** > > Ensure you replace the old source ID with the new one in all API requests or any configuration needing that value.